#ifndef SAME_WINDOW_H
#define SAME_WINDOW_H
#include <qmainwindow.h>
#include "board.h"
#include <qpe/config.h>

class HighscoreTable;

class AppWindow : public QMainWindow
{
	Q_OBJECT
public:
	AppWindow( QWidget* parent = 0, const char* name = 0, WFlags f = WType_TopLevel );
	
protected:
	void paintEvent ( QPaintEvent * );
	QString m_name;			// the last name entered for a highscore
	HighscoreTable *m_highscore;
	       
private slots:
	void menuSelected(int);
	void showScore(int);
        void addHighscore(int);
        void showHighscores(QString name, int score);
        void clearHighscores();
		
private:

	enum MenuItems
	{
		EXIT,
		ABOUT,
		RULES,
                HIGHSCORE,
		CLEARHIGH,
		NEW_GAME,		
		TILE1,
		TILE2,
		TILE3,
		TILE4,
		TILE5,
		SOUND
	};

	QPopupMenu* gameMenu;
	QPopupMenu* helpMenu;
	QPopupMenu* settingsMenu;
	QPopupMenu* tilesMenu;
	QPopupMenu* soundMenu;

	Board *board;
	int score, highscore, machine_id;
	Config *config;

};

#endif
