#ifndef BOARD_H
#define BOARD_H

#include <qwidget.h>
#include <qbitmap.h>
#include <qtimer.h>
#include <qpoint.h>
#include <qlist.h>

#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include <stdarg.h>
#include <ctype.h>
#include <time.h>
#include <qtimer.h>
#include <qpixmap.h>

static const int DIRX[] = { -1, 0, 1, 0 };
static const int DIRY[] = { 0, -1, 0, 1 };


class Board : public QWidget
{
	Q_OBJECT

public:
	Board(QWidget* parent=0, const char* name=0, WFlags f=0 );
	void startLevel();
	void setTileset(int tilesetnumber);
	int setMachine (int machine);
        void refresh();
	void paintEvent (QPaintEvent *);
        QPixmap getTile(int tilenumber, int* count);
	void setHigh();
	int offled();
        int setled(int score);
        void setSound(bool s);
				
protected:
	void mousePressEvent ( QMouseEvent * ); 
        int  removePieces( int x, int y, int type);
        void mergeEmptySpaces();	
	int isGameOver();
	int getType(int x, int y, int dir);
        int openbuzz();
        int setbuzz();
        int openled();
		
signals:
	void showScore(int);
        void finalScore(int);
	
private slots: 

private:
	QPixmap *blockPic[6];
	int tileCount[6];
	int map[40][25];
	int blockWidth, blockHeight, score, tileset, buzz, led, isHigh;
	int blockTypes, xblocks, yblocks;
        bool sound;
	void deleteAll();
	bool finished();
	int machine_id;
};

#endif
